#pragma once
#include "merger.h"
#include "doc_infos.h"

class TArchiveMerger: public TRTYMerger::IMergerOperator {
public:
    TString GetName() const override {
        return "Archive";
    }

    bool Merge(const std::atomic<bool>* /*stopKey*/, TMergeDocInfos& infos, const TRTYMerger::TContext& context) override;
};
